## giosink

giosink — Write to any GIO-supported location

## Synopsis

    struct              GstGioSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstGioBaseSink
                               +----GstGioSink

## Implemented Interfaces

GstGioSink implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "file"                     GFile*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | gio
author | René Stadler <mail@renestadler.de>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstGioSink

    struct GstGioSink;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

URI location to write to.

Default value: NULL

### The `"file"` property

      "file"                     GFile*                : Read / Write

GFile to write to.